Subject: Re: [PATCHv2] smsc911x: add irq_flags in smsc911x_platform_config.

From: "stanley.miao" <[email-masked]>
Date: Wed, 14 Jan 2009 18:22:50 +0800

On Wed, 2009-01-14 at 10:05 +0000, Russell King - ARM Linux wrote:
> On Wed, Jan 14, 2009 at 08:54:36AM +0000, [email-masked] wrote:
> > > When calling request IRQ it is desirable to allow platforms
> > > to specific flags for the call to request_irq. Adding irq_flags
> > > to smsc911x_platform_config allows these flags to be passed.
> > > 
> > > Signed-off-by: Stanley.Miao <[email-masked]>
> > 
> > Acked-by: Steve Glendinning <[email-masked]>
> > 
> > Thanks Stanley.
> > 
> > I have two more arm platform smsc911x conversion patches (realview and 
> > pcm037) which I'll post for review shortly.  Both also depend on this 
> > irq_flags change, as they register their interrupts shared.  David: would 
> > it make sense to put this driver patch into the arm tree?
> 
> Does this really make sense?  Normally, the interrupt level/edge stuff is
> passed through the resource structure.
> 
> I can't really comment because it seems that there's no way to work out
> what patch you're acking.  I can't find it in the last 6 months of email,
> and there's no attributation for your quoted reply to hint at when the
> original message was sent.

Hi, Russell,

Did you subscribe netdev mail list ? Maybe it was filtered into netdev
mail list. I just send the patch 4 hours ago.

Stanley.